Subject: bug#52044: Various Program Settings not Saving and Icons not Recognized

From: Jaft <[email-masked]>
Date: Thu, 2 Dec 2021 02:10:45 +0000 (UTC)

Hey!

   > On Monday, November 29, 2021, 05:20:12 AM UTC, Liliana Marie Prikler <[email-masked]> wrote:  >
 >
 > Hi,
>
> Am Montag, den 29.11.2021, 04:01 +0000 schrieb Jaft:
> > The issue seems to be that icons such as Papirus and Delft aren't
> > using their own folders; instead, they seem to be using Adwaita's
> > (maybe via the gnome-icon-theme package?). I think the images I'd
> > attached better demonstrate the situation than I can, with words;
> > some of the icons in the icon selection window show the right icons
> > for the theme while other ones (namely the folders) default to the
> > ones in the Adwaita icon theme.
> > 
> > It seems, to me, like possibly an issue with the icon themes,
> > themselves? I'm not sure why it would but it's not an issue with the
> > Adwaita icons, themselves; they load fine. It's the other icons which
> > aren't using their full range of icons and are, instead, defaulting
> > to another icon theme for some of their icons.
> > 
> > I…couldn't say why (unfortunately…) but it seems more to do with the
> > other icon themes and less with the Adwaita icons, themselves.
> Themes can inherit from another, i.e. default to another theme's icons
> when some icon is not provided.  This might be a GNOME vs. XFCE thing,
> but Delft's coloured folder icons work fine on the former.  You might
> want to check upstream whether they do in fact support XFCE.  It could
> however also be related to the SVG situation; if those folders only
> exist as SVGs and they're not supported, chances are that a fallback
> will occur as well.>
>
> Cheers

So, as soon as you mentioned this, I realized that made so much sense that I don't know why I hadn't realized it before now.
I only did a brief check but the Adwaita theme definitely uses more .pngs than .svgs and it seems reasonable, to me, that could be the cause.

I had noticed that the core-updates-frozen branch had been merged so I upgraded but found things pretty much the same as before.
I saw an old patch (http://git.savannah.gnu.org/cgit/guix.git/commit/?id=e311ef4f87f7ad8db2114e5f89961eea0240893b) and, while I'd checked rofi for gdk-pixbuf+svg – before –, – somehow – it made me think to check librsvg, this time, and found that it was using gdk-pixbuf, rather than gdk-pixbuf+svg. I then made a package inheriting librsvg but using gdk-pixbuf+svg, instead, and made a package which inherited rofi but used my librsvg package and, with that installed, rofi worked with .svgs, then.

Am I right in assuming librsvg ought to be using the latter, as the library deals directly with handling SVGs? If so, I can put together a patch to submit.